### Method

# Malcontent AppFilterBuilder blocklist_path

since: 0.2.0

#### Declaration [src]

    void
    mct_app_filter_builder_blocklist_path (
      MctAppFilterBuilder* builder,
      const gchar* path
    )

#### Description [src]

Add `path` to the blocklist of app paths in the filter under construction.

It will be canonicalised (without doing any I/O) before being added. The canonicalised `path` will not be added again if it’s already been added.

Available since: 0.2.0

#### Parameters

`path`

  Type: `const gchar*`

  An absolute path to blocklist.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.